> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostsecurity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get repository review instructions

> Get custom instructions for code reviews on pull requests



## OpenAPI

````yaml https://api.ghostsecurity.ai/openapi.json get /v2/repos/{id}/instructions/review
openapi: 3.1.0
info:
  contact:
    email: support@ghostsecurity.com
    name: Ghost Security
    url: https://ghostsecurity.com/
  description: 'Provide your Bearer token as: Bearer <token>'
  title: Ghost API
  version: 2.0.0
servers:
  - description: Ghost Security API server
    url: https://api.ghostsecurity.ai
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v2/repos/{id}/instructions/review:
    get:
      tags:
        - repos.v2
      summary: Get repository review instructions
      description: Get custom instructions for code reviews on pull requests
      parameters:
        - description: Repository ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.RepoReviewInstructions'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
          description: Internal Server Error
      security:
        - bearerauth: []
components:
  schemas:
    types.RepoReviewInstructions:
      description: Repository review instructions
      properties:
        created_at:
          description: When the instructions were created
          example: '2025-05-29T22:27:39.047356Z'
          type: string
        enabled:
          description: Whether the instructions are enabled
          example: true
          type: boolean
        instructions:
          description: Custom instructions for code reviews
          example: Focus on security vulnerabilities and follow OWASP guidelines.
          type: string
        updated_at:
          description: When the instructions were last updated
          example: '2025-05-29T22:27:39.047356Z'
          type: string
      type: object
    types.ErrorResponse:
      description: Error response
      properties:
        error:
          description: Error message
          example: Request error
          type: string
      type: object
  securitySchemes:
    bearerauth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````